Bug 138392 - buffer overflow when creating archive containing very long filenames.
buffer overflow when creating archive containing very long filenames.
Status: CLOSED DUPLICATE of bug 138228
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: zip (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-11-08 15:58 EST by Lon Hohberger
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 14:06:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2004-11-08 15:58:54 EST
When creating an archive, very long filenames (> FNMAX) will cause a
buffer overflow in zip because there is no bounds-checking on the
filename's length.
Comment 1 Josh Bressers 2004-11-08 17:15:39 EST

*** This bug has been marked as a duplicate of 138228 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:06:50 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.